Intermittent docshell/test/navigation/test_bug13871.html,test_openWindow.html,test_not-opener.html | java-exception java.lang.NullPointerException at android.animation.ValueAnimator.endAnimation(ValueAnimator.java:1016)

RESOLVED FIXED in Firefox 57

Status

()

P5
normal
RESOLVED FIXED
a year ago
a year ago

People

(Reporter: intermittent-bug-filer, Assigned: jwu)

Tracking

({crash, intermittent-failure})

Trunk
Firefox 57
crash, intermittent-failure
Points:
---

Firefox Tracking Flags

(firefox55 unaffected, firefox56 unaffected, firefox57 fixed)

Details

(Whiteboard: [stockwell fixed:product][FNC][SPT57.2][MVP])

MozReview Requests

()

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(1 attachment)

Summary: Intermittent docshell/test/navigation/test_bug13871.html | java-exception java.lang.NullPointerException at android.animation.ValueAnimator.endAnimation(ValueAnimator.java:1016) → Intermittent docshell/test/navigation/test_bug13871.html,test_openWindow.html | java-exception java.lang.NullPointerException at android.animation.ValueAnimator.endAnimation(ValueAnimator.java:1016)
Component: Security → General
Product: Core → Firefox for Android
Version: unspecified → Trunk
15 failures in 166 pushes (0.09 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* autoland: 8
* mozilla-inbound: 4
* mozilla-central: 3

Platform breakdown:
* android-4-3-armv7-api15: 15

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1388490&startday=2017-08-11&endday=2017-08-11&tree=all
43 failures in 901 pushes (0.048 failures/push) were associated with this bug in the last 7 days. 

This is the #35 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 22
* mozilla-inbound: 14
* try: 4
* mozilla-central: 3

Platform breakdown:
* android-4-3-armv7-api15: 43

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1388490&startday=2017-08-07&endday=2017-08-13&tree=all
Summary: Intermittent docshell/test/navigation/test_bug13871.html,test_openWindow.html | java-exception java.lang.NullPointerException at android.animation.ValueAnimator.endAnimation(ValueAnimator.java:1016) → Intermittent docshell/test/navigation/test_bug13871.html,test_openWindow.html,test_not-opener.html | java-exception java.lang.NullPointerException at android.animation.ValueAnimator.endAnimation(ValueAnimator.java:1016)
This seems typical:

08-08 05:07:17.562   792   792 E GeckoCrashHandler: >>> REPORTING UNCAUGHT EXCEPTION FROM THREAD 1 ("main")
08-08 05:07:17.562   792   792 E GeckoCrashHandler: java.lang.NullPointerException
08-08 05:07:17.562   792   792 E GeckoCrashHandler: 	at android.animation.ValueAnimator.endAnimation(ValueAnimator.java:1016)
08-08 05:07:17.562   792   792 E GeckoCrashHandler: 	at android.animation.ValueAnimator.access$400(ValueAnimator.java:50)
08-08 05:07:17.562   792   792 E GeckoCrashHandler: 	at android.animation.ValueAnimator$AnimationHandler.doAnimationFrame(ValueAnimator.java:630)
08-08 05:07:17.562   792   792 E GeckoCrashHandler: 	at android.animation.ValueAnimator$AnimationHandler.run(ValueAnimator.java:646)
08-08 05:07:17.562   792   792 E GeckoCrashHandler: 	at android.view.Choreographer$CallbackRecord.run(Choreographer.java:749)
08-08 05:07:17.562   792   792 E GeckoCrashHandler: 	at android.view.Choreographer.doCallbacks(Choreographer.java:562)
08-08 05:07:17.562   792   792 E GeckoCrashHandler: 	at android.view.Choreographer.doFrame(Choreographer.java:531)
08-08 05:07:17.562   792   792 E GeckoCrashHandler: 	at android.view.Choreographer$FrameDisplayEventReceiver.run(Choreographer.java:735)
08-08 05:07:17.562   792   792 E GeckoCrashHandler: 	at android.os.Handler.handleCallback(Handler.java:730)
08-08 05:07:17.562   792   792 E GeckoCrashHandler: 	at android.os.Handler.dispatchMessage(Handler.java:92)
08-08 05:07:17.562   792   792 E GeckoCrashHandler: 	at android.os.Looper.loop(Looper.java:137)
08-08 05:07:17.562   792   792 E GeckoCrashHandler: 	at android.app.ActivityThread.main(ActivityThread.java:5103)
08-08 05:07:17.562   792   792 E GeckoCrashHandler: 	at java.lang.reflect.Method.invokeNative(Native Method)
08-08 05:07:17.562   792   792 E GeckoCrashHandler: 	at java.lang.reflect.Method.invoke(Method.java:525)
08-08 05:07:17.562   792   792 E GeckoCrashHandler: 	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:737)
08-08 05:07:17.562   792   792 E GeckoCrashHandler: 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:553)
08-08 05:07:17.562   792   792 E GeckoCrashHandler: 	at dalvik.system.NativeStart.main(Native Method)
https://treeherder.mozilla.org/#/jobs?repo=autoland&filter-searchStr=android%20opt-mochitest-1&tochange=6df7dff00b94cf7232b7d507eee373fe6b0435f0&fromchange=8d02d9abe10eb6b5ddcc4ac695bb0f966b7babac

suggests that this frequent intermittent failure started with the changes for bug 1386975.

:jwu - Please investigate.
Blocks: 1386975
Flags: needinfo?(topwu.tw)
Whiteboard: [stockwell needswork]

Updated

a year ago
Whiteboard: [stockwell needswork] → [stockwell needswork][FNC][SPT57.2][MVP]
15 failures in 188 pushes (0.08 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* mozilla-inbound: 5
* autoland: 5
* mozilla-central: 3
* try: 2

Platform breakdown:
* android-4-3-armv7-api15: 15

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1388490&startday=2017-08-16&endday=2017-08-16&tree=all
74 failures in 949 pushes (0.078 failures/push) were associated with this bug in the last 7 days. 

This is the #19 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 30
* mozilla-inbound: 24
* mozilla-central: 14
* try: 6

Platform breakdown:
* android-4-3-armv7-api15: 74

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1388490&startday=2017-08-14&endday=2017-08-20&tree=all
:jwu, any updates here, it has been 8 days since the needinfo, not sure if you were on holiday.  With this frequency I am eager to backout your original patch, please comment in here with an estimated time to resolve this bug.
(Assignee)

Comment 8

a year ago
Hi Joel,

Looks like this crash is caused by our new visual refresh, a.k.a Photon. Since not all UI changes are landed(bug 1391177, bug 1390735, bug 1389164, etc), we would like to go back to check this issue after we finish all major UI changes in this week.

In the meanwhile, SoftVision have manually helped us test Photon on Nightly for 2 weeks, with different devices and different Android version, so far we didn't receive any crash report like this from them. 

I guess this might be just a false positive alarm, which means we have to modify the test case to fit the new visual refresh.
Flags: needinfo?(topwu.tw)
:jwu, are we expecting all the photon UI changes to be landed this week and starting next week we can look at the failure rates a nd adjust the test case if needed?
Flags: needinfo?(topwu.tw)
(Assignee)

Comment 10

a year ago
Hi Joel,

Yes, most of the major UI changes are landed(a few of them are still under reviewing), we should have more time next week for bugs fix and test cases adjustment.
Assignee: nobody → topwu.tw
tracking-fennec: --- → ?
Flags: needinfo?(topwu.tw)
28 failures in 196 pushes (0.143 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* autoland: 12
* mozilla-inbound: 9
* try: 4
* mozilla-central: 3

Platform breakdown:
* android-4-3-armv7-api15: 28

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1388490&startday=2017-08-25&endday=2017-08-25&tree=all
95 failures in 908 pushes (0.105 failures/push) were associated with this bug in the last 7 days. 

This is the #15 most frequent failure this week. 

** This failure happened more than 75 times this week! Resolving this bug is a very high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 1 week, the affected test(s) may be disabled. **  

Repository breakdown:
* autoland: 47
* mozilla-inbound: 25
* try: 13
* mozilla-central: 10

Platform breakdown:
* android-4-3-armv7-api15: 95

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1388490&startday=2017-08-21&endday=2017-08-27&tree=all
Comment hidden (mozreview-request)

Comment 15

a year ago
mozreview-review
Comment on attachment 8901700 [details]
Bug 1388490 - Cancel animation set if necessary before re-start it.

https://reviewboard.mozilla.org/r/173134/#review178468
Attachment #8901700 - Flags: review?(walkingice0204) → review+

Comment 16

a year ago
Pushed by topwu.tw@gmail.com:
https://hg.mozilla.org/integration/autoland/rev/df7f29ed1a89
Cancel animation set if necessary before re-start it. r=walkingice
https://hg.mozilla.org/mozilla-central/rev/df7f29ed1a89
Status: NEW → RESOLVED
Last Resolved: a year ago
status-firefox57: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → Firefox 57
status-firefox55: --- → unaffected
status-firefox56: --- → unaffected
Keywords: crash
Whiteboard: [stockwell needswork][FNC][SPT57.2][MVP] → [stockwell fixed:product][FNC][SPT57.2][MVP]
11 failures in 939 pushes (0.012 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 5
* autoland: 3
* try: 2
* mozilla-central: 1

Platform breakdown:
* android-4-3-armv7-api15: 11

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1388490&startday=2017-08-28&endday=2017-09-03&tree=all
tracking-fennec: ? → ---
You need to log in before you can comment on or make changes to this bug.